package com.yidianling.consultant

import android.widget.ImageView
import com.ydl.ydl_image.config.SimpleImageOpConfiger
import com.ydl.ydlcommon.mvp.base.IView
import com.yidianling.consultant.model.bean.ExpertServiceItem
import com.yidianling.consultant.model.bean.Extras
import com.yidianling.consultant.model.bean.HeadData

/**
 * Created by zqk on 17-9-19.
 */
interface IExpertSearchView : IView {
    fun showRefreshLayout()

    fun localData()

    fun onHeadFetched(headData: HeadData?)
    fun onDoctorListFetched(data: MutableList<ExpertServiceItem>, extras: Extras?,curPage:Int)
    fun fetchFailed(msg: String?)
    fun fetchListFailed(msg: String?)
    fun fetchListEmpty(msg: String?)
    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView, width : Int, heigh : Int, ops : SimpleImageOpConfiger)

    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView)

    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView, ops : SimpleImageOpConfiger)

}